Bug 62387 - /etc/logrotate.d/samba uses wrong pid file location
Summary: /etc/logrotate.d/samba uses wrong pid file location
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: samba   
(Show other bugs)
Version: skipjack-beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-31 00:13 UTC by Charles R. Anderson
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-31 00:13:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Charles R. Anderson 2002-03-31 00:13:03 UTC
Description of Problem:

/etc/logrotate.d/samba uses /var/log/samba/*.pid to HUP the daemons after
rotating the log files.  Previous releases used /var/lock/samba/*.pid.  However,
this version of samba puts its pid files in /var/cache/samba/*.pid.

Version-Release number of selected component (if applicable):

2.2.3a-3

Expected Results:

Shouldn't samba's pid files go in /var/run/samba for FHS compliance?  In any
case, fix /etc/logrotate.d/samba to use correct pid file location.

Comment 1 Trond Eivind Glomsrxd 2002-04-01 17:15:13 UTC
Pid file locations fixed in 2.2.3a-4


Note You need to log in before you can comment on or make changes to this bug.